Bug 229591 - Folds in output window cannot be collapsed/expanded via standard folding actions
Folds in output window cannot be collapsed/expanded via standard folding actions
Status: VERIFIED FIXED
Product: platform
Classification: Unclassified
Component: Output Window
7.4
PC Windows 7
: P3 (vote)
: 7.4
Assigned To: Jaroslav Havlin
issues@platform
: UI_REVIEW
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2013-05-10 18:19 UTC by markiewb
Modified: 2013-07-23 22:15 UTC (History)
2 users (show)

See Also:
Issue Type: DEFECT
:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description markiewb 2013-05-10 18:19:12 UTC
Folding in output window was introduced by [1]. Allow the user to expand them all.
 
Usecase:
* enabled option "collapse folds for successfully executed mojos" (see maven options)
* run maven build -> folds are collapsed when there are no failures
* now the user wants to see the all the tiny details
 
ACTUAL: expand every fold by tedious clicking; actions in "View|Folds" for expand all do not work (grayed-out) nor their shortcuts

EXPECTED: support all the folding actions (expand/expand all/collapse/collapse all) also in output window (f.e. in context menu, or at least via the actions in "View|Folds")

[1] https://netbeans.org/bugzilla/show_bug.cgi?id=228022
Comment 1 Jaroslav Havlin 2013-05-27 14:22:11 UTC
Fixed in http://hg.netbeans.org/core-main/rev/94f3c8167417
Actions for expanding and collapsing of folds are now in context menu of Output Window.

Thank you for reporting the bug.


Shortcuts for folding actions are reused from editor (Code Folds). Because default shortcuts for simple expand/collapse conflicted with shortcuts in Output Window, I changed shortcut for "Smaller Font" to Ctrl+DOWN and for "Larger Font" to Ctrl+UP.
Peter, please, do you think this is OK?
Comment 2 Quality Engineering 2013-05-28 14:16:04 UTC
Integrated into 'main-golden', will be available in build *201305281155* on http://bits.netbeans.org/dev/nightly/ (upload may still be in progress)
Changeset: http://hg.netbeans.org/main-golden/rev/94f3c8167417
User: Jaroslav Havlin <jhavlin@netbeans.org>
Log: #229591: Folds in output window cannot be collapsed/expanded via standard folding actions
Comment 3 markiewb 2013-07-23 22:15:38 UTC
Verified in 201307222300. There is even a new context menu entry for expanding/collapsing the folds


By use of this website, you agree to the NetBeans Policies and Terms of Use. © 2012, Oracle Corporation and/or its affiliates. Sponsored by Oracle logo